QGIS Application - Bug report #1618
color table for GRASS rasters
2009-04-02 03:04 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 11678
Description

Newly created GRASS rasters do not get a color table assigned, and no choice is given to the user as to which color table to assign. As a
result, one has to load the raster, assign a color table to it, and refresh the canvas to show the new colors. Quite boring and cumbersome
for serious work.

History

#1 - 2009-04-02 03:05 PM - Paolo Cavallini

See also #408, an old bug

#2 - 2009-04-04 01:10 PM - Maciej Sieczka -

The reason is that some GRASS modues (e.g. r.mapcalc) don't create a color table for their output rasters.

If a GRASS display module encounters such a raster it defaults to 'rainbow' colortable.

Should QGIS do the same?

#3 - 2009-04-05 01:34 AM - Paolo Cavallini
- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #1207

#4 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

2025-12-15 1/1




